/*
Copyright (c) 2004 EarthLink, Inc.
All rights reserved.

FPeer Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions 
are met:
1. Redistributions of source code must retain the above copyright
   notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
   notice, this list of conditions and the following disclaimer in the
   documentation and/or other materials provided with the distribution.
3. The name of the author may not be used to endorse or promote products
   derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/

// RunTimeProperties.java

package net.earthlink.research.p2p;

import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.Properties;

/**
*
* @author Mark Petrovic
*/
public class RunTimeProperties extends Properties {

   private String propertyFile           = "properties.txt";
   private String fullPathPropertyFile;

   public RunTimeProperties(String[] argv) {
      FileInputStream f = null;

      // hackey:  provide a way to use an alternate config file
      if( argv.length == 1) {
         propertyFile = argv[0];
         //System.err.println("argv length:  " + argv.length);
         //System.err.println("argv[0]:  <" + argv[0] + ">");
      }
      fullPathPropertyFile = propertyFile;
      //System.err.println("Properties file " + fullPathPropertyFile);

      try {
         f = new FileInputStream(fullPathPropertyFile);
         load(f);
         f.close();

         // add command line options
         //authMethod = System.getProperty("auth.method");
      } catch ( FileNotFoundException e ) {
         System.err.println("Properties file " + fullPathPropertyFile + " not found.");
         System.exit(0);
      } catch ( IOException e ) {
         System.err.println("IO Exception while reading " + fullPathPropertyFile);
         System.exit(0);
      }

   }

}
