/*
Copyright (c) 2004 EarthLink, Inc.
All rights reserved.

FPeer Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions 
are met:
1. Redistributions of source code must retain the above copyright
   notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
   notice, this list of conditions and the following disclaimer in the
   documentation and/or other materials provided with the distribution.
3. The name of the author may not be used to endorse or promote products
   derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/

// HTab.java

package net.earthlink.research.p2p.ui;

import java.awt.GridLayout;

import javax.swing.JPanel;

/**
*
* @author Mark Petrovic
*/
public class HostsTab extends JPanel {

   private SubscriberPanel   subscriberPanel;
   private SubscriptionPanel subscriptionPanel;
   private NetherHostPanel   netherPanel;

   public HostsTab() {
      setLayout(new GridLayout(1,3));

      subscriberPanel   = new SubscriberPanel();
      add (subscriberPanel);

      subscriptionPanel = new SubscriptionPanel();
      add (subscriptionPanel);

      netherPanel       = new NetherHostPanel();
      add (netherPanel);

   }

   //---------------------------------------------
   protected void update() {
      subscriptionPanel.update();
      subscriberPanel.update();
      netherPanel.update();
   }

}
