/*
Copyright (c) 2004 EarthLink, Inc.
All rights reserved.

FPeer Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions 
are met:
1. Redistributions of source code must retain the above copyright
   notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
   notice, this list of conditions and the following disclaimer in the
   documentation and/or other materials provided with the distribution.
3. The name of the author may not be used to endorse or promote products
   derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/

// SubscriptionPanel.java

package net.earthlink.research.p2p.ui;

import java.awt.BorderLayout;
import java.util.Iterator;

import javax.swing.JLabel;
import javax.swing.JList;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.DefaultListModel;

import net.earthlink.research.p2p.FPeer;
import net.earthlink.research.p2p.Subscription;

/**
*
* @author Mark Petrovic
*/
public class SubscriptionPanel extends JPanel {

   private DefaultListModel  model;
   private JList             list;

   //------------------------------
   public SubscriptionPanel() {
      JScrollPane pane;

      setLayout(new BorderLayout());

      model = new DefaultListModel();
      list  = new JList(model);
      pane  = new JScrollPane(list, JScrollPane.VERTICAL_SCROLLBAR_ALWAYS,
                              JScrollPane.HORIZONTAL_SCROLLBAR_NEVER);

      //add (new JLabel("Subscriptions"), BorderLayout.NORTH);
      add (new JLabel("I'm subscribed to"), BorderLayout.NORTH);
      add (pane, BorderLayout.CENTER);
      init();
   }

   //------------------------------
   private void init() {
      Subscription subscription;

      for( Iterator i = FPeer.fpeer.subscriptions.iterator(); i.hasNext(); ) {
         subscription = (Subscription )i.next();
         model.addElement(subscription.getHost());
      }
   }

   //------------------------------
   public void update() {
      model.clear();
      init();
   }

}
