/*
Copyright (c) 2004 EarthLink, Inc.
All rights reserved.

FPeer Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions 
are met:
1. Redistributions of source code must retain the above copyright
   notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
   notice, this list of conditions and the following disclaimer in the
   documentation and/or other materials provided with the distribution.
3. The name of the author may not be used to endorse or promote products
   derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/

// TabsPanel.java

package net.earthlink.research.p2p.ui;

import java.util.Observable;

import javax.swing.JTabbedPane;

import org.jdom.Document;

import net.earthlink.research.p2p.SharedFile;

/**
*
* @author Mark Petrovic
*/
public class TabsPanel extends JTabbedPane {

   private   SharedTab   shareTab;
   private   HostsTab    hostTab;
   private   SearchTab   searchTab;
   protected DownloadTab downloadTab;

   public TabsPanel() {
      add ("Share files", shareTab    = new SharedTab());
      add ("Hosts",       hostTab     = new HostsTab());
      add ("Search",      searchTab   = new SearchTab());
      add ("Downloads",   downloadTab = new DownloadTab());
   }

   protected void updateHosts() {
      hostTab.update();
   }
   
   protected void updateSearch(Document doc, String host) {
      searchTab.updateSearch(doc, host);
   }

   protected void updateDownload(Observable obs, Object o) {
      downloadTab.updateDownload(obs, o);
   }

   protected void addSharedFile(SharedFile sf) {
      shareTab.addSharedFile(sf);
   }
}
